MAIN
  DEFINE w ui.Window
  DEFINE f ui.Form
  DEFINE state, ret SMALLINT
  DEFINE gdcVersion STRING, gdcVersionD DECIMAL
  
  OPEN FORM f FROM ARG_VAL(0)
  DISPLAY FORM f
  
  LET w = ui.window.getCurrent()
  LET f = w.getForm()
  LET state = 0
  
  DISPLAY "
=======================================================================\n
                                                                       \n
                                 RELEASE NOTES                         \n
                                      FOR                              \n
                     FOUR J'S GENERO DESKTOP CLIENT 2.21.00            \n
                                 ALPHA VERSION                         \n
                              DATE: 2009/                              \n
                                                                       \n
=======================================================================\n
                                                                       \n
                                                                       \n
=======================================================================\n
                                                                       \n
                                                                       \n
TABLE OF CONTENTS                                                      \n
                                                                       \n
  1. RELEASE NOTES OVERVIEW                                            \n
  2. ENHANCEMENTS AND MODIFICATIONS                                    \n
  3. KNOWN ISSUES                                                      \n
  4. FIXED ISSUES                                                      \n
                                                                       \n
=======================================================================\n
                                                                       \n
                                                                       \n
                                                                       \n
1. RELEASE NOTES OVERVIEW                                              \n
=======================================================================\n
The purpose of these release notes is to briefly inform users of       \n
enhancements and modifications in the features supported by this       \n
product in relation to its earlier versions.                           \n
                                                                       \n
This document is not intended to be all-inclusive, but rather to assist\n
you in the upgrade process. Please consult the product manuals and     \n
supplements for additional information on product features and product \n
behavior." TO textdetails
  
  LET gdcVersion = ui.Interface.getFrontEndVersion()
  LET gdcVersion = gdcVersion.subString(1, 4)
  LET gdcVersionD = gdcVersion
 
  
  MENU "wizard"
    ON ACTION next
    
    ON ACTION exit EXIT MENU
    
    ON ACTION details
      IF state = 1 THEN
        CALL f.setElementHidden("g2",1)
        CALL f.setElementText("details","&Show details")
        IF gdcVersionD >= 2.30 THEN
          CALL ui.interface.frontCall("standard","restoresize",[500],[ret])
        ELSE
          CALL ui.interface.frontCall("standard","restoreSize",[500],[ret]) -- was camelcase in previous version
        END IF        
        CALL f.setElementImage("details","mydown")
        LET state = 0
      ELSE
        IF gdcVersionD >= 2.30 THEN
          CALL ui.interface.frontCall("standard","storesize",[],[ret])
        ELSE
          CALL ui.interface.frontCall("standard","storeSize",[],[ret]) -- was camelcase in previous version
        END IF        
        CALL f.setElementHidden("g2",0)
        CALL f.setElementText("details","&Hide details")
        CALL f.setElementImage("details","myup")
        LET state = 1
      END IF        
    
  END MENU


END MAIN